Bug 174148 - closing OOo while pre-edit is not empty cause OOo to crash
closing OOo while pre-edit is not empty cause OOo to crash
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
: i18n
Depends On:
Blocks: SCIM
  Show dependency treegraph
 
Reported: 2005-11-25 01:08 EST by Lawrence Lim
Modified: 2014-03-25 20:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-01 03:50:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
trace produced by oowriter (3.80 KB, text/plain)
2005-11-25 01:08 EST, Lawrence Lim
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 58606 None None None Never

  None (edit)
Description Lawrence Lim 2005-11-25 01:08:39 EST
Description of problem:
If oowriter is closed by clicking (x) on the top right hand of application which
scim pre-edit buffer != NULL, oowriter will crash.

Version-Release number of selected component (if applicable):
openoffice.org-core-2.0.1-0.139.1.2
scim-1.4.2-7

How reproducible:
Always

Steps to Reproduce:
1.LANG=ja_JP.UTF-8 oowriter
2.activate scim
3.enter 'aka'
4.click on the close button (x) 
  
Actual results:
oowriter crash

Expected results:
should not crash

Additional info:
Issue not found when started in en_US locale
Comment 1 Lawrence Lim 2005-11-25 01:08:40 EST
Created attachment 121474 [details]
trace produced by oowriter
Comment 2 Caolan McNamara 2005-11-25 03:38:04 EST
how do I activate scim in the new brave world of scim ?
Comment 3 Lawrence Lim 2005-11-27 18:07:16 EST
Re Comment #2,

In the new world of scim, activation is ctrl-space as well.

Pre-condition:
- scim installed
- log in gdm with CJK locale
Comment 4 Caolan McNamara 2005-11-29 04:32:03 EST
ugh, writer dtor for pre-edit handler called after the stuff it wants to use has
already been destructed. Fix checked in
Comment 5 Lawrence Lim 2005-11-29 22:05:34 EST
That was quick. :)

I will confirm the fix after the new packages surface in rawhide. Thanks.
Comment 6 Lawrence Lim 2005-12-15 23:46:30 EST
Checked with openoffice.org-base-2.0.1-143.1.2, looks good. :)

Note You need to log in before you can comment on or make changes to this bug.